Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.one2team.highcharts.server
Class JSMPlotOptions.JSMSeries.JSMStates.JSMSelect

    java.lang.Object
      org.one2team.highcharts.server.JSMBaseObject
          org.one2team.highcharts.server.JSMPlotOptions.JSMSeries.JSMStates.JSMSelect

All Implemented Interfaces:
  org.mozilla.javascript.Scriptable, PlotOptions.Series.States.Select

Enclosing class:
  JSMPlotOptions.JSMSeries.JSMStates

    public static class JSMPlotOptions.JSMSeries.JSMStates.JSMSelect

extends JSMBaseObject
implements PlotOptions.Series.States.Select

Field Summary
`java.lang.String` | `borderColor`
`java.lang.Integer` | `borderWidth`
`java.lang.String` | `color`

Fields inherited from class org.one2team.highcharts.server.JSMBaseObject
`innerHTML, userObject`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Constructor Summary
`JSMPlotOptions.JSMSeries.JSMStates.JSMSelect()`

Method Summary
`java.lang.String` | `getBorderColor()`
`int` | `getBorderWidth()`
`java.lang.String` | `getColor()`
`PlotOptions.Series.States.Select` | `setBorderColor(java.lang.String borderColor)`
`PlotOptions.Series.States.Select` | `setBorderWidth(int borderWidth)`
`PlotOptions.Series.States.Select` | `setColor(java.lang.String color)`

Methods inherited from class org.one2team.highcharts.server.JSMBaseObject
`delete, delete, get, get, getClassName, getDefaultValue, getIds, getInnerHTML, getParentScope, getPrototype, getUserObject, has, has, hasInstance, put, put, setInnerHTML, setParentScope, setPrototype, setUserObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### color

    public java.lang.String color

### borderColor

    public java.lang.String borderColor

### borderWidth

    public java.lang.Integer borderWidth

Constructor Detail

### JSMPlotOptions.JSMSeries.JSMStates.JSMSelect

    public JSMPlotOptions.JSMSeries.JSMStates.JSMSelect()

Method Detail

### getBorderColor

    public java.lang.String getBorderColor()

  Specified by:
    `getBorderColor` in interface `PlotOptions.Series.States.Select`

### getBorderWidth

    public int getBorderWidth()

  Specified by:
    `getBorderWidth` in interface `PlotOptions.Series.States.Select`

### getColor

    public java.lang.String getColor()

  Specified by:
    `getColor` in interface `PlotOptions.Series.States.Select`

### setBorderColor

    public PlotOptions.Series.States.Select setBorderColor(java.lang.String borderColor)

  Specified by:
    `setBorderColor` in interface `PlotOptions.Series.States.Select`

### setBorderWidth

    public PlotOptions.Series.States.Select setBorderWidth(int borderWidth)

  Specified by:
    `setBorderWidth` in interface `PlotOptions.Series.States.Select`

### setColor

    public PlotOptions.Series.States.Select setColor(java.lang.String color)

  Specified by:
    `setColor` in interface `PlotOptions.Series.States.Select`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD